Entities
Get Entity Paragraphs
Returns all paragraphs that mention a given entity, ordered by position in the text.
GET
/
entities
/
{id}
/
paragraphs
Get paragraphs mentioning an entity
curl --request GET \
--url https://api.urantia.dev/entities/{id}/paragraphsimport requests
url = "https://api.urantia.dev/entities/{id}/paragraphs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/entities/{id}/paragraphs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/entities/{id}/paragraphs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/entities/{id}/paragraphs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/entities/{id}/paragraphs")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/entities/{id}/paragraphs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "2:35.4.5",
"standardReferenceId": "35:4.5",
"sortId": "2.035.004.005",
"paperId": "35",
"sectionId": "4",
"partId": "2",
"paperTitle": "The Local Universe Sons of God",
"sectionTitle": "Special Work of the Melchizedeks",
"paragraphId": "5",
"text": "The Melchizedek who lived on Urantia during the time of Abraham was locally known as Prince of Salem because he presided over a small colony of truth seekers residing at a place called Salem. He volunteered to incarnate in the likeness of mortal flesh and did so with the approval of the Melchizedek receivers of the planet, who feared that the light of life would become extinguished during that period of increasing spiritual darkness. And he did foster the truth of his day and safely pass it on to Abraham and his associates.",
"htmlText": "<span class=\"urantia-dev-pb-0\">The Melchizedek who lived on Urantia during the time of Abraham was locally known as Prince of Salem because he presided over a small colony of truth seekers residing at a place called Salem. He volunteered to incarnate in the likeness of mortal flesh and did so with the approval of the Melchizedek receivers of the planet, who feared that the light of life would become extinguished during that period of increasing spiritual darkness. And he did foster the truth of his day and safely pass it on to Abraham and his associates.</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-2:35.4.5.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 33.3,
"fileSize": 666240
}
},
"gpt-4o-mini-tts": {
"cedar": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/cedar/gpt-4o-mini-tts-cedar-2:35.4.5.mp3",
"format": "mp3",
"bitrate": 192,
"duration": 32.5,
"fileSize": 781835
}
}
}
},
{
"id": "2:43.5.17",
"standardReferenceId": "43:5.17",
"sortId": "2.043.005.017",
"paperId": "43",
"sectionId": "5",
"partId": "2",
"paperTitle": "The Constellations",
"sectionTitle": "The Edentia Fathers since the Lucifer Rebellion",
"paragraphId": "17",
"text": "Every quarantined or isolated world has a Vorondadek Son acting as an observer. He does not participate in planetary administration except when ordered by the Constellation Father to intervene in the affairs of the nations. Actually it is this Most High observer who “rules in the kingdoms of men.” Urantia is one of the isolated worlds of Norlatiadek, and a Vorondadek observer has been stationed on the planet ever since the Caligastia betrayal. When Machiventa Melchizedek ministered in semimaterial form on Urantia, he paid respectful homage to the Most High observer then on duty, as it is written, “And Melchizedek, king of Salem, was the priest of the Most High.” Melchizedek revealed the relations of this Most High observer to Abraham when he said, “And blessed be the Most High, who has delivered your enemies into your hand.”",
"htmlText": "<span class=\"urantia-dev-pb-0\">Every quarantined or isolated world has a Vorondadek Son acting as an observer. He does not participate in planetary administration except when ordered by the Constellation Father to intervene in the affairs of the nations. Actually it is this Most High observer who “rules in the kingdoms of men.” Urantia is one of the isolated worlds of Norlatiadek, and a Vorondadek observer has been stationed on the planet ever since the Caligastia betrayal. When Machiventa Melchizedek ministered in semimaterial form on Urantia, he paid respectful homage to the Most High observer then on duty, as it is written, “And Melchizedek, king of Salem, was the priest of the Most High.” Melchizedek revealed the relations of this Most High observer to Abraham when he said, “And blessed be the Most High, who has delivered your enemies into your hand.”</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-2:43.5.17.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 52.1,
"fileSize": 1042560
}
}
}
}
],
"meta": {
"page": 0,
"limit": 2,
"total": 67,
"totalPages": 34
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}Query Parameters
Language for translated fields. es gives Spanish text for all 197 papers: an AI translation, released as CC0, with a translation label on each paragraph. Paper, section, and part titles are in Spanish too, and so are the included Papers parallels and entity names; the Bible and the other works, and the topic labels, stay in English. Entity names exist in es only; the other languages give English. Each paragraph has a language field that states the language of its text.
Available options:
eng, es, fr, pt, de, ko ⌘I
Get paragraphs mentioning an entity
curl --request GET \
--url https://api.urantia.dev/entities/{id}/paragraphsimport requests
url = "https://api.urantia.dev/entities/{id}/paragraphs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/entities/{id}/paragraphs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/entities/{id}/paragraphs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/entities/{id}/paragraphs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/entities/{id}/paragraphs")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/entities/{id}/paragraphs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "2:35.4.5",
"standardReferenceId": "35:4.5",
"sortId": "2.035.004.005",
"paperId": "35",
"sectionId": "4",
"partId": "2",
"paperTitle": "The Local Universe Sons of God",
"sectionTitle": "Special Work of the Melchizedeks",
"paragraphId": "5",
"text": "The Melchizedek who lived on Urantia during the time of Abraham was locally known as Prince of Salem because he presided over a small colony of truth seekers residing at a place called Salem. He volunteered to incarnate in the likeness of mortal flesh and did so with the approval of the Melchizedek receivers of the planet, who feared that the light of life would become extinguished during that period of increasing spiritual darkness. And he did foster the truth of his day and safely pass it on to Abraham and his associates.",
"htmlText": "<span class=\"urantia-dev-pb-0\">The Melchizedek who lived on Urantia during the time of Abraham was locally known as Prince of Salem because he presided over a small colony of truth seekers residing at a place called Salem. He volunteered to incarnate in the likeness of mortal flesh and did so with the approval of the Melchizedek receivers of the planet, who feared that the light of life would become extinguished during that period of increasing spiritual darkness. And he did foster the truth of his day and safely pass it on to Abraham and his associates.</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-2:35.4.5.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 33.3,
"fileSize": 666240
}
},
"gpt-4o-mini-tts": {
"cedar": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/cedar/gpt-4o-mini-tts-cedar-2:35.4.5.mp3",
"format": "mp3",
"bitrate": 192,
"duration": 32.5,
"fileSize": 781835
}
}
}
},
{
"id": "2:43.5.17",
"standardReferenceId": "43:5.17",
"sortId": "2.043.005.017",
"paperId": "43",
"sectionId": "5",
"partId": "2",
"paperTitle": "The Constellations",
"sectionTitle": "The Edentia Fathers since the Lucifer Rebellion",
"paragraphId": "17",
"text": "Every quarantined or isolated world has a Vorondadek Son acting as an observer. He does not participate in planetary administration except when ordered by the Constellation Father to intervene in the affairs of the nations. Actually it is this Most High observer who “rules in the kingdoms of men.” Urantia is one of the isolated worlds of Norlatiadek, and a Vorondadek observer has been stationed on the planet ever since the Caligastia betrayal. When Machiventa Melchizedek ministered in semimaterial form on Urantia, he paid respectful homage to the Most High observer then on duty, as it is written, “And Melchizedek, king of Salem, was the priest of the Most High.” Melchizedek revealed the relations of this Most High observer to Abraham when he said, “And blessed be the Most High, who has delivered your enemies into your hand.”",
"htmlText": "<span class=\"urantia-dev-pb-0\">Every quarantined or isolated world has a Vorondadek Son acting as an observer. He does not participate in planetary administration except when ordered by the Constellation Father to intervene in the affairs of the nations. Actually it is this Most High observer who “rules in the kingdoms of men.” Urantia is one of the isolated worlds of Norlatiadek, and a Vorondadek observer has been stationed on the planet ever since the Caligastia betrayal. When Machiventa Melchizedek ministered in semimaterial form on Urantia, he paid respectful homage to the Most High observer then on duty, as it is written, “And Melchizedek, king of Salem, was the priest of the Most High.” Melchizedek revealed the relations of this Most High observer to Abraham when he said, “And blessed be the Most High, who has delivered your enemies into your hand.”</span>",
"labels": [],
"audio": {
"tts-1-hd": {
"nova": {
"url": "https://cdn.urantia.dev/audio/eng/paragraphs/nova/tts-1-hd-nova-2:43.5.17.mp3",
"format": "mp3",
"bitrate": 160,
"duration": 52.1,
"fileSize": 1042560
}
}
}
}
],
"meta": {
"page": 0,
"limit": 2,
"total": 67,
"totalPages": 34
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}
